package com.maintain.business.service;

import com.maintain.business.domain.bo.ErpRepairFormProjectDispatchBatchBo;
import com.maintain.business.domain.vo.ErpRepairFormProjectDispatchVo;
import com.maintain.business.domain.bo.ErpRepairFormProjectDispatchBo;
import com.maintain.common.core.page.TableDataInfo;
import com.maintain.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 报修单-报修项目-派工Service接口
 *
 * @author liushuai
 * @date 2025-04-01
 */
public interface IErpRepairFormProjectDispatchService {

    /**
     * 查询报修单-报修项目-派工
     */
    ErpRepairFormProjectDispatchVo queryById(Long id);

    /**
     * 查询报修单-报修项目-派工列表
     */
    TableDataInfo<ErpRepairFormProjectDispatchVo> queryPageList(ErpRepairFormProjectDispatchBo bo, PageQuery pageQuery);

    /**
     * 查询报修单-报修项目-派工列表
     */
    List<ErpRepairFormProjectDispatchVo> queryList(ErpRepairFormProjectDispatchBo bo);

    /**
     * 新增报修单-报修项目-派工
     */
    Boolean insertByBo(ErpRepairFormProjectDispatchBo bo);

    /**
     * 新增报修单-报修项目-派工
     */
    Boolean insertBatchByBo(ErpRepairFormProjectDispatchBatchBo bo);

    /**
     * 修改报修单-报修项目-派工
     */
    Boolean updateByBo(ErpRepairFormProjectDispatchBo bo);

    /**
     * 校验并批量删除报修单-报修项目-派工信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
